Monitoring and alerts
Base URL: https://webvyze.com/api/v1 · click an endpoint for its scope, parameters, example and responses.
GET/alertsAlert rules of the account
Needs access to the site, when there is one.
- Scope
api:read- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \ https://webvyze.com/api/v1/alerts
PUT/alertsChange alert rules
Needs a token with api:write. Needs the sites.manage permission in the account.
- Scope
api:write- Responses
- 200401402403422429
curl -X PUT -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/alertsGET/notificationsYour latest notifications
Needs access to the site, when there is one.
- Scope
api:read- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \ https://webvyze.com/api/v1/notifications
POST/notifications/readMark notifications as read
Needs a token with api:write. Needs access to the site, when there is one.
- Scope
api:write- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/notifications/readGET/sites/{site}/changesWhat changed between audits
Needs access to the site, when there is one.
- Scope
api:read- Path parameters
{site} integer- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \
https://webvyze.com/api/v1/sites/{site}/changesGET/sites/{site}/report-previewPreview the period report
Needs access to the site, when there is one.
- Scope
api:read- Path parameters
{site} integer- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \
https://webvyze.com/api/v1/sites/{site}/report-previewPOST/sites/{site}/report-sendSend the period report now
Needs a token with api:write. Needs the sites.manage permission in the account.
- Scope
api:write- Path parameters
{site} integer- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/sites/{site}/report-send